/*
  ansi.h - ANSI declarations for the Micromint Eagle (Cortex-M3)
          by Micromint Support <support@micromint.com>    Aug-2009
*/

#ifndef _ANSI_H
#define _ANSI_H

#include "inc/hw_gpio.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/gpio.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"
#include "driverlib/uart.h"

/* API function declarations */

/* -------------------- ANSI functions -------------------- */
void AnsiInit(unsigned long);
void AnsiClrScr(void);
void AnsiGoTo(unsigned long, unsigned long);
unsigned long AnsiGetChar();
void AnsiPutChar(unsigned char);
void AnsiPutString(unsigned char *);
void AnsiPutNum(long);

#endif /* _ANSI_H */
